Skip to content
Start here

Delete a Zone Lockdown rule

client.firewall.lockdowns.delete(stringlockDownsId, LockdownDeleteParams { zone_id } params, RequestOptionsoptions?): LockdownDeleteResponse { id }
DELETE/zones/{zone_id}/firewall/lockdowns/{lock_downs_id}

Deletes an existing Zone Lockdown rule.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Firewall Services Write
ParametersExpand Collapse
lockDownsId: string

The unique identifier of the Zone Lockdown rule.

maxLength32
params: LockdownDeleteParams { zone_id }
zone_id: string

Defines an identifier.

maxLength32
ReturnsExpand Collapse
LockdownDeleteResponse { id }
id?: string

The unique identifier of the Zone Lockdown rule.

maxLength32

Delete a Zone Lockdown rule

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const lockdown = await client.firewall.lockdowns.delete('372e67954025e0ba6aaa6d586b9e0b59', {
  zone_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(lockdown.id);
{
  "result": {
    "id": "372e67954025e0ba6aaa6d586b9e0b59"
  }
}
Returns Examples
{
  "result": {
    "id": "372e67954025e0ba6aaa6d586b9e0b59"
  }
}